Bug 850332 - Introduce new systemd-rpm macros in syslog-ng spec file
Introduce new systemd-rpm macros in syslog-ng spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:10 EDT by Lukáš Nykrýn
Modified: 2012-12-11 19:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 19:13:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:10:47 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Jose Pedro Oliveira 2012-11-30 06:32:54 EST
 * syslog-ng-3.3.7-3.fc19
   http://koji.fedoraproject.org/koji/buildinfo?buildID=369982

   Release changelog:
   - Introduce the new systemd-rpm macros (#850332)
Comment 2 Fedora Update System 2012-12-03 15:04:38 EST
syslog-ng-3.3.7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/syslog-ng-3.3.7-3.fc18
Comment 3 Fedora Update System 2012-12-04 16:15:12 EST
Package syslog-ng-3.3.7-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing syslog-ng-3.3.7-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19678/syslog-ng-3.3.7-3.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-11 19:13:51 EST
syslog-ng-3.3.7-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.